diff --git a/components/modules/ai/who_plumerai_people_detection.cpp b/components/modules/ai/who_plumerai_people_detection.cpp
index 8d4ca25..7e27ace 100644
--- a/components/modules/ai/who_plumerai_people_detection.cpp
+++ b/components/modules/ai/who_plumerai_people_detection.cpp
@@ -16,9 +16,12 @@ extern "C" void DebugLog(const char *format, va_list args) { vprintf(format, args); }
 
 int clip(float value, int max) { return std::max(0, std::min(static_cast<int>(value), max)); }
 
+constexpr int num_colors = 19;
+const int colors[num_colors] = {15785, 57545, 65283, 1049,  62470, 37110, 18334, 61852, 55207, 65018, 1040,  56831, 43877, 65497, 32768, 45048, 33792, 65206, 1};
+
 void draw_detection(BoxPrediction &p, uint16_t * buffer, int width, int height) {
     if (p.confidence < 0.7) { return; }   // confidence threshold, adjust as needed
-    int color = 63488;  // red in RGB565
+    int color = colors[p.id % num_colors];
     for (int w = 0; w < 4; ++w) {
         int x_min = clip(p.x_min * width + w, width - 1);
         int y_min = clip(p.y_min * height + w, height - 1);
